Skip to main content
GET
/
ad_campaigns
List Ad Campaigns
curl --request GET \
  --url https://api.whop.com/api/v1/ad_campaigns \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/ad_campaigns"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/ad_campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "added_to_carts": 123,
      "bid_type": "minimum_cost",
      "budget_amount": 123,
      "budget_optimization": "ad_campaign",
      "budget_type": "daily",
      "click_through_rate": 123,
      "clicks": 123,
      "completed_registrations": 123,
      "contacts": 123,
      "cost_per_added_to_cart": 123,
      "cost_per_click": 123,
      "cost_per_completed_registration": 123,
      "cost_per_contact": 123,
      "cost_per_lead": 123,
      "cost_per_mille": 123,
      "cost_per_purchase": 123,
      "cost_per_result": 123,
      "cost_per_schedule": 123,
      "cost_per_submitted_application": 123,
      "cost_per_viewed_content": 123,
      "created_at": "<string>",
      "custom_conversions": 123,
      "delivery_status": "payment_failed",
      "frequency": 123,
      "id": "<string>",
      "impressions": 123,
      "issues": [
        {
          "id": "<string>",
          "message": "<string>",
          "resource_id": "<string>",
          "resource_type": "ad_campaign"
        }
      ],
      "leads": 123,
      "objective": "awareness",
      "optimization_goal": "<string>",
      "platform": "meta",
      "purchase_value": 123,
      "purchases": 123,
      "reach": 123,
      "result_event": "purchase",
      "result_event_name": "<string>",
      "return_on_ad_spend": 123,
      "schedules": 123,
      "special_ad_categories": [
        "housing"
      ],
      "spend": 123,
      "spend_currency": "<string>",
      "status": "active",
      "submitted_applications": 123,
      "title": "<string>",
      "unique_click_through_rate": 123,
      "unique_clicks": 123,
      "updated_at": "<string>",
      "viewed_contents": 123
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  }
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-07-08-1"

Query Parameters

account_id
string

The account the campaigns belong to. Defaults to the account-scoped key's own account.

status
enum<string>

Only return campaigns with this status.

Available options:
draft,
active,
paused,
payment_failed
query
string

Filter campaigns by a title or ID substring.

order
enum<string>

The field to sort by. Defaults to created_at. Stat columns (spend, impressions, …) rank over the stats_from/stats_to window across the whole list, not just the current page. results, cost_per_result and return_on_ad_spend rank by the same Whop pixel-attributed values the response reports.

Available options:
created_at,
updated_at,
spend,
impressions,
reach,
clicks,
unique_clicks,
frequency,
click_through_rate,
results,
cost_per_mille,
cost_per_click,
cost_per_result,
return_on_ad_spend
direction
enum<string>

The sort direction. Defaults to desc.

Available options:
asc,
desc
created_before
string

Only return campaigns created before this timestamp.

created_after
string

Only return campaigns created after this timestamp.

stats_from
string

Start of the stats window. Defaults to all-time.

stats_to
string

End of the stats window. Defaults to now.

time_zone
string

IANA timezone (e.g. America/New_York) the stats window is interpreted in. Bare stats_from/stats_to dates resolve to day boundaries on this clock. Defaults to UTC.

first
integer
default:20

The number of campaigns to return.

Required range: x <= 100
after
string

Cursor to fetch the page after (from page_info.end_cursor).

last
integer

The number of campaigns to return from the end of the range.

Required range: x <= 100
before
string

Cursor to fetch the page before (from page_info.start_cursor).

Response

ad campaigns listed

data
object[]
required
page_info
object
required